Skip to main content
Create comment
curl --request POST \
  --url https://api.campsite.com/v2/posts/{post_id}/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content_markdown": "<string>",
  "parent_id": "<string>"
}
'
import requests

url = "https://api.campsite.com/v2/posts/{post_id}/comments"

payload = {
"content_markdown": "<string>",
"parent_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_markdown: '<string>', parent_id: '<string>'})
};

fetch('https://api.campsite.com/v2/posts/{post_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "content": "<string>",
  "created_at": "<string>",
  "replies_count": 123,
  "parent_id": "<string>",
  "subject_id": "<string>",
  "subject_type": "<string>",
  "author": {
    "avatar_urls": {
      "xs": "<string>",
      "sm": "<string>",
      "base": "<string>",
      "lg": "<string>",
      "xl": "<string>",
      "xxl": "<string>"
    },
    "name": "<string>",
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

post_id
string
required

Body

application/json
content_markdown
string
required

The comment content in Markdown format.

parent_id
string

The ID of an existing comment to reply to. A single level of nested comments is supported.

Response

201 - application/json
id
string
required
content
string
required
created_at
string
required
replies_count
number
required
parent_id
string | null
required
subject_id
string
required
subject_type
string
required
author
object
required